# Keep Screen Light
[![Version](https://img.shields.io/badge/version-v1.1.0.0-brightgreen)](https://git.yoqi.me/lyq/KeepScreenLight)
[![.NET](https://img.shields.io/badge/.NET-v4.6.1-brightgreen?style=plastic)](https://git.yoqi.me/lyq/KeepScreenLight)


## [English](./README.md) | [中文](./README_cn.md)

I recently thought of such a small demand. One of my PCs is used as a display screen, and the screen needs to be kept on. The simple way is to manage the battery in the windows settings: Turn off the sleep mode, turn off the screen saver, and set the screen-off time to not turn off the screen. Of course, it is still a bit complicated for Windows novices.

Well, this project is to simply realize the following screen always-on functions. This small feature will also be used in subsequent large-scale projects.

## screenshot

![](screenshot/Home.png)


## download it

[DayOf1440.zip](http://fileshare.takegpt.cn/downloads/)


## Contributing

* Submit [bugs and feature requests](https://git.yoqi.me/lyq/KeepScreenLight/issues), and help us verify as they are checked in
* Review [source code changes](https://git.yoqi.me/lyq/KeepScreenLight/pulls) 
* Leave a message to us: liuyuqi.gov@msn.cn

## License

如果您在你的项目中使用我们的代码，请保留 License 声明，谢谢

Licensed under the [Apache 2.0](LICENSE) © [liuyuqi.gov@msn.cn](https://github.com/jianboy)
